## gnumeric 0.5-1

=== DESCRIPTION ===
Package: gnumeric
Version: 0.5-1
Date: 2009-08-20
Title: read data from files readable by gnumeric
Author: Karoly Antal <antalk@chello.hu>.
Maintainer: Karoly Antal <antalk@chello.hu>
Depends: R (>= 2.8.1)
Description: Read data files readable into R. Can read whole sheet or a
        range, from several file formats, including the native format
        of gnumeric. Reading is done by using ssconvert (a file
        converter utility included in the gnumeric distribution) to
        convert the requested part to CSV.
License: GPL (>= 2)
URL: http://www.ektf.hu/~antalk
Packaged: Thu Aug 20 15:00:55 2009; antalk
Repository: CRAN
Date/Publication: 2009-08-20 15:04:38

## gnumeric 0.5-2

=== DESCRIPTION ===
Package: gnumeric
Version: 0.5-2
Date: 2009-08-20
Title: Read data from files readable by gnumeric
Author: Karoly Antal <antalk2@gmail.com>.
Maintainer: Karoly Antal <antalk2@gmail.com>
Depends: R (>= 2.8.1)
Description: Read data files readable by gnumeric into R. Can read
        whole sheet or a range, from several file formats, including
        the native format of gnumeric. Reading is done by using
        ssconvert (a file converter utility included in the gnumeric
        distribution http://projects.gnome.org/gnumeric/) to convert
        the requested part to CSV.
License: GPL (>= 2)
Packaged: Mon Aug 31 21:12:46 2009; antalk
Repository: CRAN
Date/Publication: 2009-09-03 09:25:31

## gnumeric 0.5-3

=== DESCRIPTION ===
Package: gnumeric
Version: 0.5-3
Date: 2009-09-17
Title: Read data from files readable by gnumeric
Author: Karoly Antal <antalk2@gmail.com>.
Maintainer: Karoly Antal <antalk2@gmail.com>
Depends: R (>= 2.8.1), XML
Description: Read data files readable by gnumeric into R. Can read
        whole sheet or a range, from several file formats, including
        the native format of gnumeric. Reading is done by using
        ssconvert (a file converter utility included in the gnumeric
        distribution http://projects.gnome.org/gnumeric/) to convert
        the requested part to CSV. From gnumeric files (but not other
        formats) can list sheet names and sheet sizes or read all
        sheets.
License: GPL (>= 2)
Packaged: Thu Sep 17 02:06:55 2009; antalk
Repository: CRAN
Date/Publication: 2009-09-18 20:24:55

## gnumeric 0.6-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.5-3
-Date: 2009-09-17
+Version: 0.6-1
+Date: 2010-09-01
 Title: Read data from files readable by gnumeric
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -14,6 +14,6 @@
         formats) can list sheet names and sheet sizes or read all
         sheets.
 License: GPL (>= 2)
-Packaged: Thu Sep 17 02:06:55 2009; antalk
+Packaged: 2010-09-02 09:33:05 UTC; antalk
 Repository: CRAN
-Date/Publication: 2009-09-18 20:24:55
+Date/Publication: 2010-09-02 11:25:36

## gnumeric 0.6-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.6-1
-Date: 2010-09-01
+Version: 0.6-2
+Date: 2011-02-09
 Title: Read data from files readable by gnumeric
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -14,6 +14,6 @@
         formats) can list sheet names and sheet sizes or read all
         sheets.
 License: GPL (>= 2)
-Packaged: 2010-09-02 09:33:05 UTC; antalk
 Repository: CRAN
-Date/Publication: 2010-09-02 11:25:36
+Date/Publication: 2011-02-10 08:22:25
+Packaged: 2011-02-09 22:25:49 UTC; antalk

## gnumeric 0.6-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.6-2
-Date: 2011-02-09
+Version: 0.6-3
+Date: 2011-03-21
 Title: Read data from files readable by gnumeric
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -15,5 +15,5 @@
         sheets.
 License: GPL (>= 2)
 Repository: CRAN
-Date/Publication: 2011-02-10 08:22:25
-Packaged: 2011-02-09 22:25:49 UTC; antalk
+Date/Publication: 2011-03-21 14:00:52
+Packaged: 2011-03-21 08:46:18 UTC; antalk

## gnumeric 0.7-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.6-3
-Date: 2011-03-21
+Version: 0.7-1
+Date: 2011-03-27
 Title: Read data from files readable by gnumeric
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -15,5 +15,5 @@
         sheets.
 License: GPL (>= 2)
 Repository: CRAN
-Date/Publication: 2011-03-21 14:00:52
-Packaged: 2011-03-21 08:46:18 UTC; antalk
+Date/Publication: 2012-10-29 08:58:54
+Packaged: 2012-10-29 08:58:54 UTC; ripley

## gnumeric 0.7-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.7-1
-Date: 2011-03-27
+Version: 0.7-2
+Date: 2012-10-29
 Title: Read data from files readable by gnumeric
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -15,5 +15,5 @@
         sheets.
 License: GPL (>= 2)
 Repository: CRAN
-Date/Publication: 2012-10-29 08:58:54
-Packaged: 2012-10-29 08:58:54 UTC; ripley
+Date/Publication: 2012-10-30 06:29:31
+Packaged: 2012-10-29 18:46:09 UTC; antalk

## gnumeric 0.7-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: gnumeric
-Version: 0.7-2
-Date: 2012-10-29
-Title: Read data from files readable by gnumeric
+Version: 0.7-4
+Date: 2015-07-03
+Title: Read Data from Files Readable by Gnumeric
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
 Depends: R (>= 2.8.1), XML
+Imports: utils
 Description: Read data files readable by gnumeric into R. Can read
         whole sheet or a range, from several file formats, including
         the native format of gnumeric. Reading is done by using
@@ -15,5 +16,6 @@
         sheets.
 License: GPL (>= 2)
 Repository: CRAN
-Date/Publication: 2012-10-30 06:29:31
-Packaged: 2012-10-29 18:46:09 UTC; antalk
+Date/Publication: 2015-07-03 13:43:59
+Packaged: 2015-07-03 11:26:32 UTC; antalk
+NeedsCompilation: no

## gnumeric 0.7-6

=== DESCRIPTION ===
Package: gnumeric
Version: 0.7-6
Date: 2016-10-24
Title: Read Data from Files Readable by 'gnumeric'
Author: Karoly Antal <antalk2@gmail.com>.
Maintainer: Karoly Antal <antalk2@gmail.com>
Depends: R (>= 2.8.1), XML
Imports: utils
Description: Read data files readable by 'gnumeric' into 'R'. Can read
        whole sheet or a range, from several file formats, including
        the native format of 'gnumeric'. Reading is done by using
        'ssconvert' (a file converter utility included in the 'gnumeric'
        distribution <http://projects.gnome.org/gnumeric/>) to convert
        the requested part to CSV. From 'gnumeric' files (but not other
        formats) can list sheet names and sheet sizes or read all
        sheets.
License: GPL (>= 2)
Repository: CRAN
Date/Publication: 2016-10-25 20:32:12
Packaged: 2016-10-25 15:35:28 UTC; antalk
NeedsCompilation: no

## gnumeric 0.7-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.7-6
-Date: 2016-10-24
+Version: 0.7-7
+Date: 2017-03-06
 Title: Read Data from Files Readable by 'gnumeric'
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -16,6 +16,6 @@
         sheets.
 License: GPL (>= 2)
 Repository: CRAN
-Date/Publication: 2016-10-25 20:32:12
-Packaged: 2016-10-25 15:35:28 UTC; antalk
+Date/Publication: 2017-03-07 00:30:56
+Packaged: 2017-03-06 22:35:12 UTC; antalk
 NeedsCompilation: no

## gnumeric 0.7-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gnumeric
-Version: 0.7-7
-Date: 2017-03-06
+Version: 0.7-8
+Date: 2017-03-09
 Title: Read Data from Files Readable by 'gnumeric'
 Author: Karoly Antal <antalk2@gmail.com>.
 Maintainer: Karoly Antal <antalk2@gmail.com>
@@ -16,6 +16,6 @@
         sheets.
 License: GPL (>= 2)
 Repository: CRAN
-Date/Publication: 2017-03-07 00:30:56
-Packaged: 2017-03-06 22:35:12 UTC; antalk
+Date/Publication: 2017-03-09 13:20:28
+Packaged: 2017-03-09 11:28:36 UTC; antalk
 NeedsCompilation: no

## gnumeric 0.7-10

=== DESCRIPTION ===
Package: gnumeric
Version: 0.7-10
Date: 2023-10-18
Title: Read Data from Files Readable by 'gnumeric'
Author: Karoly Antal <antalk2@gmail.com>.
Maintainer: Karoly Antal <antalk2@gmail.com>
Depends: R (>= 2.8.1), XML
Imports: utils
Description: Read data files readable by 'gnumeric' into 'R'. Can read
        whole sheet or a range, from several file formats, including
        the native format of 'gnumeric'. Reading is done by using
        'ssconvert' (a file converter utility included in the 'gnumeric'
        distribution <http://www.gnumeric.org>) to convert
        the requested part to CSV. From 'gnumeric' files (but not other
        formats) can list sheet names and sheet sizes or read all
        sheets.
License: GPL (>= 2)
Repository: CRAN
Date/Publication: 2023-10-18 13:50:03 UTC
Packaged: 2023-10-18 12:56:11 UTC; antalk
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no

## gnumeric 1.8.3-1maemo1

=== debian/changelog ===
gnumeric (1.8.3-1maemo1) unstable; urgency=low

  * Rebuild for maemo
  * Build-Depend and Depend on goffice 0.6.3

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 15 Jun 2008 16:07:35 +0200

gnumeric (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Issues fixed in this or previous release:
    * Cell contents are not displayed for cells with an invalid format
      (Closes: #470300)
    * Failure to open xlsx files generated by Gnumeric itself. 
      (Closes: #469643)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 25 May 2008 10:25:50 +0200

gnumeric (1.8.2+svn20080417-1) unstable; urgency=low

  * New svn snapshot
  * Change package section from user/math to user/office to match pre-defined
    package categories as it was discussed in the maemo-developers list
  * Build-Depend/Depend on libgsf (>= 1.14.8-1chinook1), libgoffice (>=
    0.6.2+svn20080417-1)
  * Update icon cache in debian/postinst as suggested by Mathias Teikari

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 20 Apr 2008 16:23:41 +0200

gnumeric (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Added gnumeric Suggests: msttcorefonts as these may be
    needed for proper preview and printing of Excel files.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 07 Mar 2008 07:01:57 +0100

gnumeric (1.8.1-1chinook3) unstable; urgency=low

  * Fixed installation path for scalable app launcher icon under Maemo/Hildon.

 -- Mathias Teikari <m47iast@gmail.com>  Mon, 14 Apr 2008 19:15:05 +1000

gnumeric (1.8.1-1chinook2) unstable; urgency=low

  * Rebuild with fixed libgsf to force application manager to install the
    fixed package too
  * Build-Depend on libgsf (>= 1.14.7-2chinook3)
  * Explicitly depend on libgsf-1-114 (>= 1.14.7-2chinook3)

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 14 Feb 2008 23:46:48 +0100

gnumeric (1.8.1-1chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 27 Jan 2008 18:14:45 +0100

gnumeric (1.8.1-1) unstable; urgency=medium

  * New upstream release. Changes include
    * plugins/excel/ms-chart.c: (ms_excel_chart_write): save graph title if
      any and if the first chart has no title. (Gnome #301720) 
      (Closes: #305399)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 25 Jan 2008 19:55:54 +0100

gnumeric (1.8.0-1chinook5) unstable; urgency=low

  * Next try to fix the crashing bug

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  6 Jan 2008 22:02:11 +0100

gnumeric (1.8.0-1chinook4) unstable; urgency=low

  * Try to fix gui-file.c

 -- Thomas Schmidt <tschmidt@debian.org>  Tue,  1 Jan 2008 23:23:47 +0100

gnumeric (1.8.0-1chinook3) unstable; urgency=low

  * Disable #ifdef including autocap

 -- Thomas Schmidt <tschmidt@debian.org>  Tue,  1 Jan 2008 22:54:10 +0100

gnumeric (1.8.0-1chinook2) unstable; urgency=low

  * Try to replace "autocap" with HILDON_GTK_INPUT_MODE_AUTOCAP

 -- Thomas Schmidt <tschmidt@debian.org>  Tue,  1 Jan 2008 22:34:48 +0100

 gnumeric (1.8.0-1chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 30 Dec 2007 23:44:13 +0100

gnumeric (1.8.0-1) unstable; urgency=medium

  * New upstream stable release, building on top of goffice 0.6.
    (Closes: #458006)
  * [doc/C/gnumeric-C.omf] Taken from svn as it is missing in the upstream
    tarball.
  * Upstream changes in this release include:
    * Fixed paired t-test [gnome #504256]. (Closes: #456798)
  * [debian/copyright, debian/gnumeric-doc.copyright] Updated.
  * [debian/control]
    * Build depend on new goffice packages (as per configure.in). 
      (Closes: #458006)
    * Updated Standards-Version.
  * [debian/po/de.po] Updated translation. Thanks Johannes Starosta
    <feedback-an-johannes@arcor.de>. (Closes: #455223)

  Gnumeric bugs cleanup:
  * Several issues were fixed during the 1.7.x development series:
    * Title elements in charts are lost when saving in xls format. 
      (Closes: #305399)
    * "x_order_2: colinear!" message when showing Help -> About. 
      (Closes: #341262)
    * Autocomplete should be more configurable. (Closes: #242528)
    * RFE: Quick tab color changer. (Closes: #353811)
    * RFE: Support import of OOXML. (Closes: #408068)
  * Issues which have been tagged as unreproducible for a long time and for
    which no new information regarding them (or new reports of them) has come
    forth:
    * Gnumeric crashes and hangs the entire computer (Closes: #447219)
    * Eats all memory if started with LC_NUMERIC set. (Closes: #395051)
    * XLS plugin is off by default. (Closes: #416110)
    Please reopen them if they can be reproduced with this version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 29 Dec 2007 23:57:51 +0100

gnumeric (1.7.91-1chinook1) unstable; urgency=low

   * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 16 Dec 2007 12:12:01 +0100

gnumeric (1.7.91-1) unstable; urgency=low

  * New upstream beta release.
  * [debian/rules] Changed the way in which LDFLAGS are passed so
    -Wl,--as-needed has much greater effect.
  * [debian/control] Added Homepage.
  * [debian/po/vi.po] Added Vietnamese translation courtesy of Clytie Siddall
    <clytie@riverland.net.au>. (Closes: #453626).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 06 Dec 2007 10:17:19 +0100

gnumeric (1.7.91~svn20071203-1chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook
  * Removed Build-Dep to libperl-dev, flex, scrollkeeper, libgnomeui-dev,
    pxlib-dev, libgnome2-dev, libbonoboui2-dev, python-dev ...
  * Removed dependancy to gsfonts and procps
  * Changed Section to user/math
  * Use modified desktop-file, as the original one doe not work completely
    under Maemo
  * Use maemo-select-menu-location for the desktop-file
  * Removed --fail-missing from dh_install call
  * Disabled check for running gnumeric process in gnumeric.preinst
  * Added icon for the application manager


=== debian/control ===
Source: gnumeric
Section: user/office
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), dh-buildinfo,
 po-debconf, gettext, bison, libxml-parser-perl,
 zlib1g-dev, libglib2.0-dev (>= 2.6.0), libgsf-1-dev (>= 1.14.8-1chinook1),
 libgoffice-0-6-dev (>= 0.6.3), libxml2-dev (>= 2.6.10-2),
 libpango1.0-dev (>= 1.8.1),
 libgtk2.0-dev (>= 2.10.0), libglade2-dev (>= 1:2.4.0-1),
 libart-2.0-dev (>= 2.3.16-5),
 libgconf2-dev (>= 2.6.2-1),
 libgsf-gnome-1-dev (>= 1.14.6)
Homepage: http://www.gnumeric.org/
Vcs-Svn: svn://svn.gnome.org/svn/gnumeric/trunk
Vcs-Browser: http://svn.gnome.org/viewcvs/gnumeric/trunk/
Standards-Version: 3.7.3

Package: gnumeric
Architecture: any
Depends: libgsf-1-114 (>= 1.14.8-1chinook1), libgoffice-0-6 (>= 0.6.3-1), ${shlibs:Depends}, ${misc:Depends}
Recommends: evince (>= 0.9.0)
Suggests: gnumeric-doc (>= ${Upstream-Version}), gnumeric-plugins-extra, epiphany-browser, msttcorefonts
Conflicts: gnumeric1.0, gnumeric1.0-doc, gnumeric-doc (<< ${Upstream-Version})
Replaces: zh-trans (<< 0.8-1), gnumeric1.0
XS-Python-Version: current
XB-Python-Version: ${python:Versions}
Description: spreadsheet application for GNOME - main program
 Gnumeric is a spreadsheet application that interoperates well
 with other spreadsheets. It comes with plugins that enable it to deal with
 commonly used spreadsheet file formats.
 .
 The following formats can be imported and exported:
  - Microsoft Excel 97/2000/XP (.xls);
  - Microsoft Excel 95 (.xls);
  - OASIS XML, OpenOffice.org XML, StarOffice (.sxc);
  - Comma/Character Separated Values (.csv);
  - Data Interchange Format (.dif);
  - Applix version 4 (.as).
 .
 Additionally, the following formats can be imported:
  - GNU Oleo (.oleo);
  - Linear and integer program expression format (.mps);
  - Lotus 1-2-3 (.wks, .wk1);
  - MS MultiPlan SYLK (.sylk);
  - WordPerfect family "Plan Perfect" (.pln);
  - Quattro Pro (tm);
  - XSpread or SC;
  - XBase (.dbf).
 .
 Gnumeric can export to LaTeX 2e (.tex), TROFF (.me) and HTML as well.
 .
 Gnumeric should be easy to use, in particular for users familiar with
 Excel.
 .
 Gnumeric is a GNOME application. GNOME (GNU Network Object Model Environment) 
 is a user-friendly set of applications and desktop tools to be used in 
 conjunction with a window manager for the X Window System.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAABL+AAAS/gGgIVgHAAAAB3RJTUUH1wwCESE1a967
 OgAABbRJREFUSMfFltuLZFcVxn/nWnVO1amumuluazoz3ekQSeYioj6YhBCZ
 xyCCMl7y5JMg6EuIwfwNefNNBEFJBG8k+iRDiAMjCENEMxN6Zrpn7DF9neqq
 mp46dTvn7KsPVd1Jp2OCL7pgn31YrL2//a317Qv8j8x5+ccv/fDc2fOvJEly
 5tBrLTgw/XzI7MGwo15j1Nb29pUb711/8bVf/ur2xwH5586ef+XChQtnfN8/
 GMR4PAbHoVwuHwkWokBrQxRFR/xKKX9xcelimva+9q3vXFr9/W/fsMeAkiQ5
 4zouSbWK1hopFcPhEHDwPf9IcGEKtNLH/YUgjqIgSZJ5wAPUMSCw5HmOMQat
 FUJK0jQ9WOmR4CzPUFJijDnmDwL/E2vkWztJiRAFUimEEAxHI+ozM0Rx+SMV
 tUjfP+Z3HPA875OBHCCKIsIwREpJURRYY2g2mzSbzSPBo9EIIQWNeuOofzxC
 FPJTGE2pj8djpBQIIRgMhqRpShiGR4LH2RilFNbYY6kLg9KnMyqXyoRhgBAT
 RsZArZZQr9ePBAehjxSS2PPI0x6qP8AUAi0FA9cl296Jkr/8tQwMP55RljEY
 DpBSTmo0GPLwYQXvI+pK23u0371Oef0etXFGlOe4QuC5Dsr3OdvuPF/x/Ozl
 cvkPo6L420+tFR9SHURRmSAIkVJQFAWu41Jv1JmdPQmAUYrOzVukv/4NT0rF
 4/Pz+OUId7rvrDEYrdGNE8uj5eUX13Z2vvvu+vrrP7p//yfDPN/+GVgfLFme
 Tws9ZTQckKa9Q8n21u4w/N0bfGV+nmoQgNZYpTBaY4zBaj1pxhAZ433+1Km5
 +UbjB29fv376zubm9yiKgQ8OQRDglcsEQuD7Pkop4iimWqkyfvCA3pt/5GKz
 SaQUajw+nNQqdcjmAMwYgzGGWlAqP/3lZy/tjq+sfH9n41XfWovRE/pKKbSS
 GK1RWqGUZO/GDZbDEiUhUFPpW60nk0//tTEYYykcj/vxHFvxHBvRHN3arMe5
 0VfD7t5rPoDWGmP0VAxymkJJluWk6/c4X6kge70PAA5WrzXDRsI7i0+xUT3N
 dnSCvnHJhCYvBFJqPrd4btGrXF30J7IN8L0SUsrD1FXiiGoc4RiDAVSef5Cq
 aa8x7F18nNvls+z2ZiiEJJeCvJAUhZqcnbhhbm15KobJGaakpBCC0WhEL03B
 Wva7XfZzQRyGyMHgSC16T0S0vqQob25QtJ8kyyVFMWl5ITkRewy7HWdYFIEL
 UC6VmKnVqNVq1JKESqVCLUmoN+qUqhXeX10lTxKs46DyHJVlCJlz7xloJx3c
 6l20GhyCFEIShw4Vk9PtDWRhjHKxkOcFaZqSpin9fp/RcEi/36eXpjhzs7Q6
 HW5eu4ZaWsJvNlFS0mnmrH2hz77eQcS3sHQoCom1hrkkoO4K7m22cB5stQYy
 b7k4UCqF1GoJtVpCklSJ45hqUqVRn2H5mafJH11ir9XiH5cvsysEPPVFtr/+
 CDp0scoQxCmzjZRTMwGnE4dRt8Ptu9tE3Q3lba386Y6WW76x1oDjWmunR76D
 47pYYzHGUjl5kualb7D5819Au83tt97CPlZn7fw87vsz4Ls4BpzeLdbvhHR7
 I6y1LOY7cnbl8tX3Bt3X78HQe+65Z59fWlw65fu+6wcBpTAijmM830drg9IG
 d6aGWVhgd2cXfA/pCe4+lrLlttkbtGgP2nTuBnRaC8yaoX60e7NTuvn2m6t7
 /3p1xeh/Gij8lZWVl8ZZ9kIlrjxy7C0yNa2UMxiP3PtPfDbsPnwQnC78+fha
 uOA33QqR4yKt1Ts9PbN7pS26W+/st9b//Hetr+5DCxgD1vn2C990rLUe4P6n
 u8RaS5qmzuqttWjY61XcLKvHLrXPOCyUHScx1pqBdfZbmr1Mq14GPQ19QBw8
 nZz/9nk2XVAIlKb9wR2ugGLaJGD4f9i/AeSMlnqr87ZtAAAAAElFTkSuQmCC

## gnumeric 1.8.3-1maemo4

=== debian/changelog ===
gnumeric (1.8.3-1maemo4) unstable; urgency=low

  * Increased version number, this is hopefully enough for the autobuilder to
    build gnumeric again

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 29 Jun 2008 20:40:36 +0200

gnumeric (1.8.3-1maemo3) unstable; urgency=low

  * Added libosso-dev, libhildon1-dev and libhildonfm2-dev to
    Build-Dependencies, so the autobuilder does not fail to build the package
    (hopefully)

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 28 Jun 2008 20:34:06 +0200

gnumeric (1.8.3-1maemo2) unstable; urgency=low

  * Increased version number for the upload to the diablo autobuilder

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 26 Jun 2008 21:10:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  libgtk2.0-dev (>= 2.10.0), libglade2-dev (>= 1:2.4.0-1),
  libart-2.0-dev (>= 2.3.16-5),
  libgconf2-dev (>= 2.6.2-1),
- libgsf-gnome-1-dev (>= 1.14.6)
+ libgsf-gnome-1-dev (>= 1.14.6),
+ libosso-dev, libhildon1-dev, libhildonfm2-dev
 Homepage: http://www.gnumeric.org/
 Vcs-Svn: svn://svn.gnome.org/svn/gnumeric/trunk
 Vcs-Browser: http://svn.gnome.org/viewcvs/gnumeric/trunk/

## gnumeric 1.8.3-5maemo1

=== debian/changelog ===
gnumeric (1.8.3-5maemo1) unstable; urgency=low

  [ Mathias Teikari ]
  * Added 26x26 icon and modified scalable icon to 64x64.
  * Added D-BUS service file.
  * Added D-BUS service and MIME types declarations to desktop file.
  * Fixed application icon for tasklist.

  [ Thomas Schmidt ]
  * Merged changes from gnumeric-1-8 branch, includes code of the yet
    unreleased version 1.8.4
  * Added Mathias Teikari to Uploaders
  * Install D-BUS service file and new icon at the appropriate locations

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 23 Aug 2008 17:24:11 +0200

gnumeric (1.8.3-5) unstable; urgency=medium

  * [plugins/perl-loader/perl-loader.c] Call PERL_SYS_INIT3() prior to
    perl_parse as per perlembed(1) so as not to hang on HPPA. 
    (Closes: #495062).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 19 Aug 2008 15:57:26 +0200

gnumeric (1.8.3-4) unstable; urgency=high

  * [plugins/fn-date/ChangeLog, plugins/fn-date/functions.c] Pull in fix from
    SVN gnumeric-1-8 branch for off-by-one errors in DATE function. 
    (Closes: #492743)
  * [debian/po/jp.po] Updated Japanese translation, courtesy of Atsushi
    Shimono <shimono@mozilla.gr.jp>. (Closes: #490668)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 01 Aug 2008 21:56:40 +0200

gnumeric (1.8.3-3) unstable; urgency=low

  * Pulled in updates from SVN gnumeric-1-8 branch.
  * [debian/compat] New.
  * [debian/rules] No longer set DH_COMPAT.
  * [gnumeric.preinst] Added debhelper token.
  * [debian/copyright] Fixed copyright-without-copyright-notice.
  * [debian/control]
    * Changed fonts suggestion now that the Liberation fonts are available in
      main and the Microsoft Corefonts installer package has been renamed.
      (Closes: #490039)
    * Updated Standards-Version.
    * Cleaned up build dependencies to fix build-depends-on-1-revision lintian
      warning.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 12 Jul 2008 15:20:19 +0200

gnumeric (1.8.3-2) unstable; urgency=low

  * [debian/control] Reintroduced intltool build dependency.
  * Updates from SVN gnumeric-1-8 branch:
    * [src/stf-export.c, ChangeLog, NEWS] (try_auto_date): Don't generate an
      invalid time format.  Fixes GNOME bugzilla #534514.  Fix detection of
      fractional seconds.
    * [po/pl.po, po/ChangeLog]: pl.po: Updated polish translation

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 23 Jun 2008 19:47:36 +0200

gnumeric (1.8.3-1maemo5) diablo; urgency=low

  * Removed Suggest, Conflicts and Replaces from original debian package

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 30 Jun 2008 23:13:17 +0200

gnumeric (1.6.3-5.1+etch1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Backport fix from upstream SVN:
    - CVE-2008-0668: arbitrary code execution through integer overflow in
      Excel spreadsheet HLINK handling

 -- Devin Carraway <devin@debian.org>  Sun, 30 Mar 2008 01:02:31 +0000

gnumeric (1.6.3-5) unstable; urgency=low

  * [doc/C/gnumeric.1] Typos/grammar glitches. (Closes: #410249)
  * [debian/po/it.po] Added, courtesy of Luca Monducci <luca.mo@tiscali.it>.
    (Closes: #396946)
  * [debian/po/es.po] Added, courtesy of Carlos Valdivia Yagüe
    <valyag@dat.etsit.upm.es>. (Closes: #383359)
  * [debian/po/gl.po] Added, courtesy of Jacobo Tarrio <jtarrio@debian.org>.
    (Closes: #407955)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Feb 2007 21:18:59 +0100

gnumeric (1.6.3-4) unstable; urgency=low

  * Pulled in core code and translation changes from upstream CVS branch.
  * Backported packaging improvements from the 1.7.x packages in experimental,
    including:
    * Follow new python policy. (Closes: #380831)
    * [debian/control] Made lists in package descriptions render nicely in
      aptitude (Closes: #389140)
  * [debian/po/ja.po] Added, courtesy of Shimono Atsushi
    <shimono@kwasan.kyoto-u.ac.jp>. (Closes: ##384994).
  * [debian/gnumeric.mime] Add text/csv in whose favour 
    text/comma-separated-values has been depreciated in RFC 4180. 
    (Closes: #394053)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 22 Oct 2006 17:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: user/office
 Priority: optional
 Maintainer: Thomas Schmidt <tschmidt@debian.org>
+Uploaders: Mathias Teikari <mathias@teikari.org>
 Build-Depends: debhelper (>= 5.0.37.2), dh-buildinfo,
  po-debconf, gettext, bison, libxml-parser-perl,
  zlib1g-dev, libglib2.0-dev (>= 2.6.0), libgsf-1-dev (>= 1.14.8-1chinook1),
@@ -15,15 +16,12 @@
 Homepage: http://www.gnumeric.org/
 Vcs-Svn: svn://svn.gnome.org/svn/gnumeric/trunk
 Vcs-Browser: http://svn.gnome.org/viewcvs/gnumeric/trunk/
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 
 Package: gnumeric
 Architecture: any
 Depends: libgsf-1-114 (>= 1.14.8-1chinook1), libgoffice-0-6 (>= 0.6.3-1), ${shlibs:Depends}, ${misc:Depends}
 Recommends: evince (>= 0.9.0)
-Suggests: gnumeric-doc (>= ${Upstream-Version}), gnumeric-plugins-extra, epiphany-browser, msttcorefonts
-Conflicts: gnumeric1.0, gnumeric1.0-doc, gnumeric-doc (<< ${Upstream-Version})
-Replaces: zh-trans (<< 0.8-1), gnumeric1.0
 XS-Python-Version: current
 XB-Python-Version: ${python:Versions}
 Description: spreadsheet application for GNOME - main program

=== debian/rules ===
#! /usr/bin/make -f
# Based on the sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

#DEB_BUILD_OPTIONS?="debug nostrip"
export DEB_BUILD_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),m68k-linux)
	DEB_BUILD_OPTIONS+=noopt
endif

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=5

# Try to preserve timestamps as much as possible
export INSTALL=/usr/bin/install -p

# Are we building a release version, or are we doing development?
CVS_BUILD=$(shell test ! -d CVS; echo $$?)

upstreamversion=$(shell dpkg-parsechangelog | grep Version | head -1 | sed -e 's/Version: //g' -e 's/-[A-Za-z0-9+\.]*$$//g')

# Features configuration
# ---------------------- 
#
# We're aiming for a package that's stable, with as much functionality as is
# reasonably possible.

features:=

# Spreadsheet indexer for beagle
features+= --disable-ssindex

# Plugins to access databases through the GDA framework and through GnomeDB.
#
# The GDA and GnomeDB plugins for gnumeric now require versions of GDA and
# GnomeDB that are not available as packages yet.
#	Mon, 10 Oct 2005 20:37:06 +0200
features+= --without-gda --without-gnomedb

# configure.in: "Gnome Basic is extremely API unstable; it is likely that
# gnumeric will only build with the single version mentioned in
# configure.in, if at all. It is possible, but unlikely, that Gnome Basic
# contains security vulnerabilities."
features+= --without-gb

# Psion files support
features+= --without-psiconv

# Paradox database files plugin
features+= --without-paradox

# Perl plugin
features+= --without-perl

# The Python plugin
features+= --without-python

# Bonobo allows us to use parts of other applications as components via
# CORBA, and was supposed to allow us to work as a component for other
# applications. However, that promise hasn't really been realised and
# according to Morten Welinder "drop bonobo from your build.  it's
# pointless."
features+= --without-bonobo

# Don't build a PDF of the documentation.
features+= --disable-pdfdocs

# Build for Maemo/Hildon
features+= --enable-hildon

## Enable it for my development tree:
#features+= --enable-pdfdocs

confflags :=	--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--localstatedir=/var/lib \
		--libexecdir=/usr/bin \
                --enable-compile-warnings=minimum \
		$(features)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

# Make the linker work a bit harder so dynamic loading can be done faster.
LDFLAGS += -Wl,-O1

# Make the linker only include actual dependencies on libraries, rather than
# for all libraries specified in the link line.
LDFLAGS += -Wl,--as-needed

source-updates:
	rm -f configure-stamp
	# Update files generated by autotools
	env srcdir=`pwd` NOCONFIGURE=1 \
		LIBTOOLIZE="libtoolize --copy" \
		INTLTOOLIZE="intltoolize --copy" \
		sh autogen.sh $(confflags)

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Prepare for build
	 
	mkdir build
	cd build && env srcdir=`pwd`/.. \
		../configure $(confflags) "CC=$(CC) $(LDFLAGS)" "CFLAGS=$(CFLAGS)"

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	cd build && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/*substvars debian/*~ \
		debian/buildinfo

	rm -rf debian/tmp build

	# Update config.{sub,guess} from autotools-dev, if possible.
	-for f in config.sub config.guess ; do \
		if test -r /usr/share/misc/$$f ; then \
			OLDDATE=`./$$f -t | tr -d -` ; \
			NEWDATE=`/usr/share/misc/$$f -t | tr -d -` ; \
			if [ $$OLDDATE -lt $$NEWDATE ] ; then \
				echo "GNU config automated update of $$f (replacing $$OLDDATE with $$NEWDATE)" 1>&2 ; \
				cp -f /usr/share/misc/$$f $$f ; \
			fi; \
		fi; \
	done

	-find -type f -name 'Makefile.in' | sed -e 's/\.in$$//' | xargs rm -f
	-rm -f po/*.gmo

	# Clean out files generated as part of the documentation generation
	-rm -f doc/C/index.html doc/C/gnumeric.html doc/C/ld-id*.html \
		omf-install/gnumeric-C.omf
	-rm -rf doc/C/gnumeric doc/C/DBTOHTML_OUTPUT_DIR*

	-rm -rf aclocal.m4 config.h.in stamp-h.in autom4te.cache \
		doc/C/gnumeric.junk

	-rm -f GNOME_Gnumeric.server.in GNOME_Gnumeric.server src/gnumeric-paths.h

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd build && env GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
		$(MAKE) install \
		DESTDIR=`pwd`/../debian/tmp/ \
		localstatedir=`pwd`/../debian/tmp/var/lib \
		libexecdir=`pwd`/../debian/tmp/usr/bin \
		scrollkeeper_localstate_dir=/var/lib/scrollkeeper

	# Plugins are not intended as stand-alone executables
	find `pwd`/debian/tmp/usr/lib/gnumeric/*/plugins -type f -print0 | xargs -0 chmod a-x

	# Remove unwanted files: static libraries and documentation sources
	find `pwd`/debian/tmp/usr/ -name '*.a' -print0 | xargs -0 rm -f
	find `pwd`/debian/tmp/ -name '*.sgml' -print0 | xargs -0 rm -f
	# Bonobo-only files
	rm -rf debian/tmp/usr/lib/bonobo
	# libspreadsheet is far from a mature library; loose the development
	# files
	rm -f debian/tmp/usr/lib/libspreadsheet*.la
	rm -f debian/tmp/usr/lib/pkgconfig/libspreadsheet-*.pc
	rm -rf debian/tmp/usr/include/libspreadsheet-*

	# Outdated
	rm -f debian/tmp/usr/share/mc/templates/gnumeric.desktop

	# Remove scrollkeeper generated files as well; for a package they
	# need to be (re)generated at package (de)install time.
	rm -rf `pwd`/debian/tmp/var/lib/scrollkeeper

	# Low-colour icon for use by the menu system
	#$(INSTALL) -m 644 debian/gnome-gnumeric.xpm `pwd`/debian/tmp/usr/share/pixmaps/

	# Checksums of historical versions of conffiles
	$(INSTALL) -m 644 debian/gnumeric-dialogs.schemas.md5sum debian/gnumeric-general.schemas.md5sum debian/gnumeric-plugins.schemas.md5sum `pwd`/debian/tmp/usr/share/gnumeric/

	dh_install --sourcedir=`pwd`/debian/tmp

	# Name the binary just "gnumeric"
	cd debian/gnumeric/usr/bin && mv gnumeric-* gnumeric

	#dh_link usr/share/gnumeric/$(upstreamversion)/idl/GNOME_Gnumeric.idl usr/share/idl/GNOME_Gnumeric.idl

	# Make the documentation accessible to gnumeric
	#dh_link -pgnumeric-doc usr/share/gnome/help/gnumeric usr/share/gnumeric/$(upstreamversion)/doc

	#dh_link -pgnumeric-doc usr/share/xml/docbook/stylesheet/nwalsh/images/ usr/share/gnumeric/$(upstreamversion)/doc/C/images

	# Remove files from the main package that belong to a more
	# specialist package
	# (dh_install doesn't do the right thing here IMO; perhaps it
	# doesn't like multiple globs in one line)
	#while read l ; do \
	#	rm -rvf debian/gnumeric/$$l ; \
	#done < debian/gnumeric-plugins-extra.install

	# Remove dirs that are now empty
	-find debian/gnumeric -depth -type d | xargs rmdir >/dev/null 2>&1

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i

	dh_installexamples -i
#	dh_pycentral -i
	#dh_python -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_link -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs ChangeLog -i
	dh_gconf -i
	dh_scrollkeeper -i
	dh_desktop -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -v -i -- -VUpstream-Version=$(upstreamversion)
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
